package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProResourceActionDAO;
import com.philisense.www.mapper.ProResourceActionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProResourceActionDAOImpl implements ProResourceActionDAO {
    @Autowired
    private ProResourceActionMapper proResourceActionMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return proResourceActionMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proResourceActionMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proResourceActionMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proResourceActionMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proResourceActionMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proResourceActionMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proResourceActionMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proResourceActionMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proResourceActionMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proResourceActionMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proResourceActionMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proResourceActionMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proResourceActionMapper.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getProResourceTreeByParentid(Map<String, Object> map) {
        return proResourceActionMapper.getProResourceTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProResourceTreeByLevelCode(Map<String, Object> map) {
        return proResourceActionMapper.getProResourceTreeByLevelCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proResourceActionMapper.updateDropNode(map);
    }

    @Override
    public List<Map<String, Object>> getAllForProResourceAction(Map<String, Object> map) {
        return proResourceActionMapper.getAllForProResourceAction(map);
    }

    @Override
    public List<Map<String, Object>> getAllForProResourceActionByUserId(Map<String, Object> map) {
        return proResourceActionMapper.getAllForProResourceActionByUserId(map);
    }
}
